> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Update ship-to (v1)

> Update ship-to (v1)



## OpenAPI

````yaml oms_v1 patch /api-cart/v1/cart/{cartId}/ship-to/{shipToId}
openapi: 3.0.0
info:
  description: Order Management System
  version: 1.0.0
  title: Orders v1 (OMS v1)
  contact:
    email: oms-team@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01-apigw.{customer_name}.fabric.zone
    description: Production
    variables:
      customer_name:
        default: yourcompany
        description: Customer name, provided by support team
security: []
tags:
  - name: Cart
    description: >-
      Cart APIs<br /><br />**Note:** These are the legacy Cart APIs. To view
      fabric's new Cart APIs, navigate to *Cart API > Cart* from the left side
      navigation pane.
  - name: Bill To
    description: Bill To APIs [Deprecated]
  - name: Ship To
    description: >-
      Ship To APIs<br /><br />**Note:** These are the legacy Ship To APIs. To
      view fabric's new Shipping APIs, navigate to *Cart API > Shipping* from
      the left side navigation pane.
  - name: Wishlist
    description: Wishlist APIs
  - name: Cart Decoupled
    description: Cart Decoupled APIs
  - name: Warehouse
    description: Warehouse APIs
  - name: Inventory
    description: Inventory APIs
  - name: Attributes
    description: >-
      Attributes APIs<br /><br />**Note:** These are the legacy Attribute APIs.
      To view fabric's new Attribute APIs, navigate to *Cart API > Attribute*
      from the left side navigation pane.
  - name: List
    description: List APIs
  - name: Tax/Address Validate
    description: Tax/Address Validate APIs
  - name: Shipping
    description: Shipping APIs
  - name: Payments
    description: Payments APIs
  - name: Order
    description: Order APIs
paths:
  /api-cart/v1/cart/{cartId}/ship-to/{shipToId}:
    patch:
      tags:
        - Ship To
      summary: Update ship-to (v1)
      description: Update ship-to (v1)
      operationId: shipToToUpdationV1
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
        - in: path
          name: cartId
          required: true
          schema:
            type: string
            minLength: 24
            maxLength: 24
            example: 5e5818a84d030c206b2ffb02
        - in: path
          name: shipToId
          required: true
          schema:
            type: string
            minLength: 24
            maxLength: 24
            example: 5e5818a84d030c206b2ffb02
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    shipToType:
                      type: string
                      enum:
                        - BOPIS
                        - SHIP_TO_STORE
                        - SHIP_TO_ADDRESS
                        - STORE_PICKUP
                      example: SHIP_TO_ADDRESS
                    warehouseId:
                      type: string
                      maxLength: 24
                      minLength: 24
                      example: 123456abcdef123456abcdef
                    isPickup:
                      type: boolean
                      example: true
                    shipMethod:
                      type: number
                    taxCode:
                      type: string
                      example: FR1000
                    storeId:
                      type: string
                      minLength: 5
                      maxLength: 50
                      example: TBD
                    pickupPerson:
                      $ref: '#/components/schemas/pickupPerson'
                    altPickupPerson:
                      $ref: '#/components/schemas/pickupPerson'
                - type: object
                  properties:
                    address: 8f38a29a-fe23-4404-a219-8f7728e11628
                - required:
                    - isPickup
      responses:
        '200':
          description: Ship To Updated
          content:
            application/json:
              schema:
                allOf:
                  - allOf:
                      - type: object
                        properties:
                          shipToType:
                            type: string
                            enum:
                              - BOPIS
                              - SHIP_TO_STORE
                              - SHIP_TO_ADDRESS
                              - STORE_PICKUP
                            example: SHIP_TO_ADDRESS
                          warehouseId:
                            type: string
                            maxLength: 24
                            minLength: 24
                            example: 123456abcdef123456abcdef
                          isPickup:
                            type: boolean
                            example: true
                          shipMethod:
                            type: object
                            required:
                              - shipMethodId
                              - cost
                            properties:
                              shipMethodId:
                                type: string
                                minLength: 3
                                example: 1a2b3c4d5e6f7g8h9i0j
                              shipmentCarrier:
                                type: string
                                example: Fedex
                              shipmentMethod:
                                type: string
                                example: Next Day
                              cost:
                                type: object
                                required:
                                  - currency
                                  - amount
                                properties:
                                  currency:
                                    type: string
                                    minLength: 3
                                    example: USD
                                  amount:
                                    type: number
                                    minimum: 0
                                    example: 5.99
                          taxCode:
                            type: string
                            example: FR1000
                          storeId:
                            type: string
                            minLength: 5
                            maxLength: 50
                            example: TBD
                          pickupPerson:
                            $ref: '#/components/schemas/pickupPerson'
                          altPickupPerson:
                            $ref: '#/components/schemas/pickupPerson'
                      - type: object
                        properties:
                          address: e49a73d3-ebb2-4949-90b0-24f18c66bd5c
                          cartId:
                            type: string
                            minLength: 24
                            maxLength: 24
                            example: 5e5818a84d030c206b2ffb02
                          shipToId:
                            type: number
                            example: 13812
                      - type: object
                        properties:
                          _id:
                            type: string
                            example: 5fee9d59f2f08a1b3cbdea08
                          createdAt:
                            type: string
                            example: '2020-12-31T02:09:53.914Z'
                          updatedAt:
                            type: string
                            example: '2020-12-31T02:09:53.914Z'
                  - type: object
                    properties:
                      __v:
                        type: number
                        example: 0
        '400':
          $ref: '#/components/responses/GenericClientError'
        '404':
          description: Shipping method not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    description: The error code
                    example: SHIPPING_METHOD_NOT_FOUND
                    type: string
                  message:
                    description: The error message
                    example: Shipping Method Not Found.
        '500':
          $ref: '#/components/responses/GenericServerError'
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  schemas:
    pickupPerson:
      type: object
      properties:
        name:
          type: object
          properties:
            first:
              type: string
              minLength: 2
              maxLength: 50
              example: John
            last:
              type: string
              minLength: 2
              maxLength: 50
              example: Smith
        phone:
          type: object
          required:
            - number
            - kind
          properties:
            number:
              type: string
              minLength: 5
              maxLength: 25
              example: 123-456-7890
            kind:
              type: string
              minLength: 3
              maxLength: 25
              example: Mobile
        email:
          type: string
          format: email
          minLength: 5
          maxLength: 100
          example: johnsmith@fabric.inc
  responses:
    GenericClientError:
      description: A generic client error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string
    GenericServerError:
      description: A generic server error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string

````